Gofive OpenAPI
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. Calendio
  • Introduction
  • Activity
    • Activities Enquiry
      POST
    • Get a Activity By Id
      GET
    • Get a Activity By No
      GET
    • Get Key Activities
      GET
    • Create or Update Activity
      POST
  • Authentication API
    • Authorization
      POST
  • Customer
    • Create or Update customer
      POST
    • Customers Enquiry
      POST
    • Get a Customer By CustomerId
      GET
    • Get a Customer By CustomerCode
      GET
    • Get a Customer By CustomerName
      GET
    • Create Customer Satisfaction
      POST
    • Add Customer Event
      POST
    • Get Customer Events by Customer Code
      GET
    • Edit Customer Event
      PUT
    • Delete Customer Event
      DELETE
    • Get Customer Event Types
      GET
    • Get file categories
      GET
    • Attach files category
      POST
    • Check Customer Existence
      POST
    • Get Customer By TaxID
      GET
    • Customer Search
      POST
  • Case
    • Add Case
    • Edit Case by CaseNo
    • Get Case by CaseNo
    • Get Case Categories
  • Contract
    • Get Contract By No
    • Get Contract Types
    • Get Contract Templates
    • Create or Update Contract
    • Create or Update Contract Service Agreement
    • Send Contract Document
  • Conversation
    • Conversation Enquiry
  • Expense
    • Create Expense
    • Update Expense
    • Expense Enquiry
    • Get a Expense
  • Deal
    • Create Deal
    • Update Deal
    • Deal Enquiry
    • Get Deal
    • Get Deal Board
    • Get Deal Stage
    • Get Deal Interest
    • Get DealLabel
    • Get Deal Missed Reason Categories
  • Employee
    • Employees Enquiry
    • Get a Employee
  • Product
    • Create Or Update Products
    • Get a Product Ticket
    • Get Products With Take & Status
    • Get a Product by ProductCode
    • Get Product Groups
    • Get Product Properties
    • Get Products By Filter
    • Verify Serial Number
    • Check Serial Verification Status
    • Create or Update Codeguard Products
    • Update Product Stock
    • Get Units
  • Quotation
    • Create Update Quotation
    • Convert Quotation To SalesOrder
    • Quotation Enquiry
    • Get a Quotation By QuotationNo
    • Cancel Quotation
    • Get Pdf By QuotationNo
  • SalesOrder
    • Create Or Update SalesOrder
    • Get a SalesOrder By Id
    • Get a SalesOrder By No
    • Get Sale Order Attachment by Id
    • Get Sale Order Attachment By No
    • Reject SaleOrder
    • Approve Sale Order
    • Update SalesOrder Payment
    • Get Pdf By SalesOrderNo
    • Update SalesOrder Tracking Number
  • Webhooks
    • Webhook Payload
  • Task
    • Task Enquiry
    • CreateTask
  • Setting
    • Get HeaderTemplate
  • Chat
    • Post Send message
  • Storage
    • Upload files attachments
    • Get file attachments
    • Delete file attachments
  • Calendio
    • Create Venio Calendio Event
      POST
    • Edit Venio Calendio Event
      PUT
    • Get Venio Calendio Events
      GET
    • Create empeo Calendio Event
      POST
    • Edit empeo Calendio Event
      PUT
    • Get empeo Calendio Events
      GET
    • Get Venio Calendio Event by Id
      GET
    • Get empeo Calendio Event by Id
      GET
    • Create Appointment
      POST
    • Appointment Enquiry
      POST
    • Edit Appointment
      PUT
    • Get Appointment By Id
      GET
    • Add Calendio Custom Field
      POST
    • Calendio Custom Field Enquiry
      POST
    • Get Calendio Custom Field by Id
      GET
    • Available slots Enquiry
      POST
    • Calendio Bookings Enquiry
      POST
    • Reschedule Calendio Booking time
      PATCH
    • Cancel Calendio Booking
      DELETE
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. Calendio

Create Appointment

POST
https://api.gofive.co.th/v1/calendio/appointments
Create a new Calendio appointment

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "eventId": 0,
    "appointmentName": "string",
    "duration": 0,
    "activityTypeId": 0,
    "description": "string",
    "responsibleUserIds": [
        "string"
    ],
    "responsibleAssignmentType": 1,
    "isAllowMultipleAttendees": true,
    "maxAttendees": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.gofive.co.th/v1/calendio/appointments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventId": 0,
    "appointmentName": "string",
    "duration": 0,
    "activityTypeId": 0,
    "description": "string",
    "responsibleUserIds": [
        "string"
    ],
    "responsibleAssignmentType": 1,
    "isAllowMultipleAttendees": true,
    "maxAttendees": 0
}'

Responses

🟢200OK
application/json
Success
Body

Example
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": {
        "appointmentId": 0,
        "appointmentName": "string",
        "eventId": 0,
        "duration": 0,
        "activityTypeId": 0,
        "description": "string",
        "bookingLink": "string",
        "responsibleAssignmentType": 1,
        "responsibleUserIds": [
            "string"
        ],
        "isAllowMultipleAttendees": true,
        "maxAttendees": 0
    }
}
🟠400Bad Request
🔴500Server Error
Modified at 2026-02-24 09:18:30
Previous
Get empeo Calendio Event by Id
Next
Appointment Enquiry
Built with